## python-diskimage-builder 3.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

networkx>=1.10 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
stevedore>=1.20.0 # Apache-2.0
# NOTE(ianw) in here because dib-lint uses flake8
flake8<4.0.0,>=3.6.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-diskimage-builder (3.2.1-4) unstable; urgency=medium

  * Re-add python3-mock as build-depends. (Closes: #973189)

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 08:52:43 +0100

python-diskimage-builder (3.2.1-3) unstable; urgency=medium

  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 11:46:50 +0200

python-diskimage-builder (3.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml and fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 10:57:53 +0200

python-diskimage-builder (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)-depends.
  * Add python3-sphinxcontrib.apidoc to build-depends.
  * Fixed tweaking shebang.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:19:33 +0200

python-diskimage-builder (2.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:37:15 +0200

python-diskimage-builder (2.27.1-3) unstable; urgency=medium

  * Add runtime depends on fdisk (Closes: #872128).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jan 2020 08:37:14 +0100

python-diskimage-builder (2.27.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:10:57 +0200

python-diskimage-builder (2.27.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:02:58 +0200

=== debian/control ===
Source: python-diskimage-builder
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 curl,
 debootstrap,
 fdisk,
 git,
 jq,
 kpartx,
 lvm2,
 python3-fixtures,
 python3-hacking,
 python3-mock,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslosphinx,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stevedore,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
 uuid-runtime,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder

Package: diskimage-builder-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: image building tools for Openstack - doc
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the documentation.

Package: python3-diskimage-builder
Architecture: all
Depends:
 curl,
 debootstrap,
 fdisk,
 git,
 jq,
 kpartx,
 lvm2,
 python3-networkx,
 python3-pbr,
 python3-stevedore,
 python3-yaml,
 qemu-utils,
 uuid-runtime,
 ${misc:Depends},
 ${python3:Depends},
Description: image building tools for Openstack - Python 3.x
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the Python 3.x version.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/diskimage-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/diskimage-builder-doc/usr/share/doc/diskimage-builder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_python3 --shebang=/usr/bin/python3 /usr/lib/python3
	set -e ; set -x ; for i in `find $(CURDIR)/debian/python3-diskimage-builder/usr/lib/python3/dist-packages -type f` ; do \
		sed -i 's#/usr/bin/python.*#/usr/bin/python3#' $$i ; \
		sed -i 's#/usr/local/bin/dib-python#/usr/bin/dib-python#' $$i ; \
		sed -i 's|#!python.*|#!/usr/bin/python3|' $$i ; \
		sed -i 's|#!/usr/bin/env python.*|#!/usr/bin/python3|' $$i ; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/python3-diskimage-builder/usr/lib/python3/dist-packages/diskimage_builder/lib/*

## python-diskimage-builder 3.7.0

=== debian/changelog ===
python-diskimage-builder (3.7.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:58:40 +0000

python-diskimage-builder (3.7.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 12:47:43 +0000

python-diskimage-builder (3.5.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 14:48:15 +0000

python-diskimage-builder (3.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Removed. Change landed upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 06:59:20 +0000

python-diskimage-builder (3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 09:38:49 +0000

python-diskimage-builder (3.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/control: Update openstack-pkg-tools.
  * d/p/patch_duplicate_environment_tests.patch: Remove unittest mocks
    that are polluted by the environment

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 12 Jun 2020 07:34:34 +0000

## python-diskimage-builder 3.12.0

=== debian/changelog ===
python-diskimage-builder (3.12.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 20:57:07 +0000

python-diskimage-builder (3.12.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:35:50 -0400

python-diskimage-builder (3.11.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 09:38:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,42 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
+ python3-sphinx (>= 2.0.0),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
- curl,
- debootstrap,
- fdisk,
- git,
  jq,
- kpartx,
- lvm2,
- python3-fixtures,
- python3-hacking,
- python3-mock,
- python3-networkx,
- python3-openstackdocstheme,
- python3-oslosphinx,
- python3-oslotest,
- python3-sphinxcontrib.apidoc,
- python3-stevedore,
- python3-testtools,
- python3-yaml,
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-flake8 (>= 3.6.0),
+ python3-hacking (>= 1.1.0),
+ python3-mock (>= 2.0.0),
+ python3-networkx (>= 1.10),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslosphinx (>= 2.5.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
  testrepository,
  uuid-runtime,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -63,17 +63,15 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
- curl,
  debootstrap,
- fdisk,
- git,
  jq,
  kpartx,
- lvm2,
- python3-networkx,
- python3-pbr,
- python3-stevedore,
- python3-yaml,
+ python3-babel (>= 2.3.4),
+ python3-networkx (>= 1.10),
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  qemu-utils,
  uuid-runtime,
  ${misc:Depends},

## python-diskimage-builder 3.13.0

=== debian/changelog ===
python-diskimage-builder (3.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:14:04 +0200

python-diskimage-builder (3.13.0-1) experimental; urgency=medium
  
  [ Kevin Allioli ]
  * New upstream release.
  * Added stestr repository and remove testrepository.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 09:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,43 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Kevin Allioli <kevin@linit.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python3-sphinx (>= 2.0.0),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
+ curl,
+ debootstrap,
+ fdisk,
+ git,
  jq,
- python3-babel (>= 2.3.4),
- python3-coverage (>= 4.0),
- python3-fixtures (>= 3.0.0),
- python3-flake8 (>= 3.6.0),
- python3-hacking (>= 1.1.0),
- python3-mock (>= 2.0.0),
- python3-networkx (>= 1.10),
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslosphinx (>= 2.5.0),
- python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.10.0),
- python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-stevedore (>= 1:1.20.0),
- python3-testrepository (>= 0.0.18),
- python3-testtools (>= 2.2.0),
- python3-yaml (>= 3.12),
+ kpartx,
+ lvm2,
+ python3-fixtures,
+ python3-hacking,
+ python3-mock,
+ python3-networkx,
+ python3-openstackdocstheme,
+ python3-oslosphinx,
+ python3-oslotest,
+ python3-sphinxcontrib.apidoc,
+ python3-stevedore,
+ python3-stestr,
+ python3-testtools,
+ python3-yaml,
  subunit,
- testrepository,
  uuid-runtime,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -63,15 +64,17 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
+ curl,
  debootstrap,
+ fdisk,
+ git,
  jq,
  kpartx,
- python3-babel (>= 2.3.4),
- python3-networkx (>= 1.10),
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
- python3-yaml (>= 3.12),
+ lvm2,
+ python3-networkx,
+ python3-pbr,
+ python3-stevedore,
+ python3-yaml,
  qemu-utils,
  uuid-runtime,
  ${misc:Depends},

## python-diskimage-builder 3.16.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-networkx>=1.10 # BSD
+networkx>=2.3.0 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PyYAML>=3.12 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-diskimage-builder (3.16.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 11:32:54 -0500

python-diskimage-builder (3.15.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Nov 2021 17:39:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,43 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Kevin Allioli <kevin@linit.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
+ python3-sphinx (>= 2.0.0),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
- curl,
- debootstrap,
- fdisk,
- git,
  jq,
- kpartx,
- lvm2,
- python3-fixtures,
- python3-hacking,
- python3-mock,
- python3-networkx,
- python3-openstackdocstheme,
- python3-oslosphinx,
- python3-oslotest,
- python3-sphinxcontrib.apidoc,
- python3-stevedore,
- python3-stestr,
- python3-testtools,
- python3-yaml,
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-flake8 (>= 3.6.0),
+ python3-hacking (>= 1.1.0),
+ python3-mock (>= 2.0.0),
+ python3-networkx (>= 2.3.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslosphinx (>= 2.5.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
+ testrepository,
  uuid-runtime,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -64,17 +64,15 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
- curl,
  debootstrap,
- fdisk,
- git,
  jq,
  kpartx,
- lvm2,
- python3-networkx,
- python3-pbr,
- python3-stevedore,
- python3-yaml,
+ python3-babel (>= 2.3.4),
+ python3-networkx (>= 2.3.0),
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  qemu-utils,
  uuid-runtime,
  ${misc:Depends},

## python-diskimage-builder 3.24.0

=== debian/changelog ===
python-diskimage-builder (3.24.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Sep 2022 22:30:25 +0000

python-diskimage-builder (3.24.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:30:01 -0400

python-diskimage-builder (3.22.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 14:19:03 -0400

python-diskimage-builder (3.21.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:22:44 -0400

## python-diskimage-builder 3.25.0

=== requirements.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 PyYAML>=3.12 # MIT
 stevedore>=1.20.0 # Apache-2.0
 # NOTE(ianw) in here because dib-lint uses flake8
-flake8<4.0.0,>=3.6.0 # MIT
+flake8<6.0.0,>=3.6.0 # MIT

=== debian/changelog ===
python-diskimage-builder (3.25.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Dec 2022 15:43:21 +0000

python-diskimage-builder (3.25.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:17:28 -0500

=== debian/control ===
--- 
+++ 
@@ -35,8 +35,7 @@
  subunit,
  testrepository,
  uuid-runtime,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder

## python-diskimage-builder 3.29.0

=== debian/changelog ===
python-diskimage-builder (3.29.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:53:31 -0400

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-fixtures (>= 3.0.0),
  python3-flake8 (>= 3.6.0),
  python3-hacking (>= 1.1.0),
+ python3-jsonschema (>= 3.0.2),
  python3-mock (>= 2.0.0),
  python3-networkx (>= 2.3.0),
  python3-openstackdocstheme (>= 2.2.1),
@@ -67,6 +68,7 @@
  jq,
  kpartx,
  python3-babel (>= 2.3.4),
+ python3-jsonschema (>= 3.0.2),
  python3-networkx (>= 2.3.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/diskimage-builder/diskimage-builder-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-diskimage-builder 3.30.0

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,4 @@
 stevedore>=1.20.0 # Apache-2.0
 # NOTE(ianw) in here because dib-lint uses flake8
 flake8<6.0.0,>=3.6.0 # MIT
+jsonschema>=3.0.2 # MIT

=== debian/changelog ===
python-diskimage-builder (3.30.0-4) unstable; urgency=medium

  * Switch to pybuild.
  * Blacklist test_mount_comparator (Closes: #1090268).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 08:50:24 +0100

python-diskimage-builder (3.30.0-3) unstable; urgency=medium

  * Add stop-using-the-imp-module.patch (Closes: #1058248).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jan 2024 12:54:58 +0100

python-diskimage-builder (3.30.0-2) unstable; urgency=medium

  * Cleans better (Closes: #1048492).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 11:04:37 +0200

python-diskimage-builder (3.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-jsonschema (b)-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Aug 2023 14:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,44 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Kevin Allioli <kevin@linit.io>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python3-sphinx (>= 2.0.0),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
+ curl,
+ debootstrap,
+ fdisk,
+ git,
  jq,
- python3-babel (>= 2.3.4),
- python3-coverage (>= 4.0),
- python3-fixtures (>= 3.0.0),
- python3-flake8 (>= 3.6.0),
- python3-hacking (>= 1.1.0),
- python3-jsonschema (>= 3.0.2),
- python3-mock (>= 2.0.0),
- python3-networkx (>= 2.3.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslosphinx (>= 2.5.0),
- python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.10.0),
- python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-stestr (>= 2.0.0),
- python3-stevedore (>= 1:1.20.0),
- python3-testrepository (>= 0.0.18),
- python3-testtools (>= 2.2.0),
- python3-yaml (>= 3.12),
+ kpartx,
+ lvm2,
+ python3-fixtures,
+ python3-hacking,
+ python3-jsonschema,
+ python3-mock,
+ python3-networkx,
+ python3-openstackdocstheme,
+ python3-oslosphinx,
+ python3-oslotest,
+ python3-sphinxcontrib.apidoc,
+ python3-stevedore,
+ python3-stestr,
+ python3-testtools,
+ python3-yaml,
  subunit,
- testrepository,
  uuid-runtime,
-Standards-Version: 4.6.1
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-diskimage-builder
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -64,16 +65,18 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
+ curl,
  debootstrap,
+ fdisk,
+ git,
  jq,
  kpartx,
- python3-babel (>= 2.3.4),
- python3-jsonschema (>= 3.0.2),
- python3-networkx (>= 2.3.0),
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
- python3-yaml (>= 3.12),
+ lvm2,
+ python3-jsonschema,
+ python3-networkx,
+ python3-pbr,
+ python3-stevedore,
+ python3-yaml,
  qemu-utils,
  uuid-runtime,
  ${misc:Depends},

## python-diskimage-builder 3.37.0

=== debian/changelog ===
python-diskimage-builder (3.37.0-2) unstable; urgency=medium

  * Removed now obsolete python3-diskimage-builder.{prerm,postrm}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:22:55 +0100

python-diskimage-builder (3.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.
  * Removed stop-using-the-imp-module.patch, upstream reimplemented it.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-fixtures,
  python3-hacking,
  python3-jsonschema,
- python3-mock,
  python3-networkx,
  python3-openstackdocstheme,
  python3-oslosphinx,

## python-diskimage-builder 3.39.0

=== requirements.txt ===
networkx>=2.3.0 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
stevedore>=1.20.0 # Apache-2.0
# NOTE(ianw) in here because dib-lint uses flake8
flake8<7.0.0,>=3.6.0 # MIT
jsonschema>=3.0.2 # MIT

=== debian/changelog ===
python-diskimage-builder (3.39.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:20:03 +0200

python-diskimage-builder (3.39.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:30:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info doc/source/developer/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	dh_auto_clean
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -17,7 +20,7 @@
 		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'diskimage_builder\.(?!block_device\.tests\.test_mount_order\.TestMountComparator\.test_mount_comparator)'
 endif
 
 override_dh_auto_test:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/diskimage-builder/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-diskimage-builder 3.40.2

=== debian/changelog ===
python-diskimage-builder (3.40.2-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/control: ran wrap-and-sort -bastk.
  * d/rules: clean .pybuild.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Sat, 28 Feb 2026 19:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Kevin Allioli <kevin@linit.io>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
@@ -29,8 +30,8 @@
  python3-oslosphinx,
  python3-oslotest,
  python3-sphinxcontrib.apidoc,
+ python3-stestr,
  python3-stevedore,
- python3-stestr,
  python3-testtools,
  python3-yaml,
  subunit,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info doc/source/developer/api
+	rm -rf build .stestr *.egg-info doc/source/developer/api .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	dh_auto_clean
